---
updatedAt: 2026-06-09T13:03:57.000Z
agentTools:
  projectIndex: https://docs.api.kiln.fi/v0-api-testnet/llms.txt
---

# Transaction Status

Get the status of a transaction by message hash

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "x-logo": {
      "url": "assets/logo-preview.png"
    },
    "title": "Kiln API",
    "description": "This API provides reporting staking data on various protocols as\nwell as network wide data, staking transaction crafting features\nand so on.\n\n### ACCESS\n\nIn order to use the Kiln API, you must first get an API token\nfrom your <a href=\"https://dashboard.kiln.fi/\">Kiln dashboard</a>\n(applications section). If you don't have access to our dashboard,\nplease get in touch at hello@kiln.fi.\n\nOnce you have your API token, you can set it as a bearer token in\nyour HTTP request headers, and target the Kiln API endpoint with\nthe current MAJOR version of the API as a prefix to routes:\n\n<blockquote>\ncurl \"https://api.kiln.fi/v1/...\" -H \"Authorization: Bearer $KILN_API_TOKEN\"\n</blockquote>\n\n<i>\nIf you need a development environment, please reach out to\nhello@kiln.fi to have a specific access to our testnet environment\nand dedicated API endpoint.\n</i>\n\n### VERSIONING\n\nVersions of the Kiln API use <b>MAJOR.MINOR.PATCH</b> where:\n\n- <b>MAJOR</b> version is increased when there is major\n  incompatible API changes, major versions will be communicated in\n  advance to all customers with a smooth transition path that\n  spans over a minimum period of 3 MINOR versions or ~3\n  months. <i>Intended frequency: 1 year</i>.\n- <b>MINOR</b> version is increased for backward compatible API\n  changes without notice, or communicated breaking changes with a\n  1 minor version notice and a smooth migration path. Minor\n  versions will be communicated regularly to customers with the\n  changelog. <i>Intended frequency: 1 month</i>.\n- <b>PATCH</b> version is increased for backward compatible\n  hot-fixes, patch versions will be communicated to affected\n  customers.\n\n<i>\nDue to the nature of blockchains (protocol disappearing,\nbreaking protocol upgrades), Kiln may introduce\nbackward-incompatible changes in MINOR versions after following\na 1 MINOR version deprecation path (~1 month). These impacting\nchanges will be narrowed as much as possible to the protocol,\nheavily communicated with clear guidelines and support. Customer\nnot relying on affected protocols will not be affected.\n</i>\n\n### BACKWARD COMPATIBILITY\n\nKiln considers the following changes to be backward compatible:\n\n- Adding new API routes.\n- Adding new optional request parameters to existing API methods.\n- Adding new properties to existing API responses.\n- Changing the order of properties in existing API responses.\n- Adding new event types in existing enums.\n\nNon-breaking changes may be introduced in our API and subject to\nmodification before being officialy communicated and documented\nhere. Your application should not depend on them until part of\nthis specification. The preview Kiln API specifications with\nupcoming and experimental new features can be found\n[here](/preview.html).\n\n### REWARDS BEHAVIOR\n\n- No `start_date`: Returns rewards from validator activation date.\n- No `end_date`: Returns rewards up to yesterday.",
    "termsOfService": "https://kiln.fi/",
    "contact": {
      "email": "contact@kiln.fi"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "Preview"
  },
  "servers": [
    {
      "url": "https://api.kiln.fi/v1"
    },
    {
      "url": "https://api.testnet.kiln.fi/v1"
    }
  ],
  "tags": [
    {
      "name": "The Open Network (TON)",
      "description": "**Deprecated — please migrate to the Gram (GRAM) endpoints.**\n\nThe native token of The Open Network has been renamed from Toncoin to Gram (ticker `TON` → `GRAM`). This is a display name and ticker change only: the network, addresses and contracts are unchanged. These `/ton` endpoints are deprecated and will be removed in a future version — use the equivalent `/gram` endpoints instead.\n\nStaking facilities for the The Open Network protocol."
    }
  ],
  "paths": {
    "/ton/transaction/status": {
      "get": {
        "tags": [
          "The Open Network (TON)"
        ],
        "deprecated": true,
        "summary": "Transaction Status",
        "description": "Get the status of a transaction by message hash",
        "operationId": "getTonTxStatus",
        "parameters": [
          {
            "name": "msg_hash",
            "in": "query",
            "description": "Hash of the message",
            "required": true,
            "style": "form",
            "explode": false,
            "schema": {
              "type": "string",
              "example": "SQ5y4jeRZzU4h/lbyWiLhTrR9A3smK5Vmm/1p9ylDFo="
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json; charset=utf-8": {
                "schema": {
                  "type": "object",
                  "required": [
                    "data"
                  ],
                  "properties": {
                    "data": {
                      "$ref": "#/components/schemas/TONTxStatus"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid parameters"
          },
          "401": {
            "description": "Unauthorized"
          },
          "500": {
            "description": "Internal server error"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "schemas": {
      "TONTxStatus": {
        "type": "object",
        "example": {
          "transactions": [
            {
              "account": "0:50251F4800B322F242D628AA28DB4035FA2F6D2C1D45D994C8232A691C63C561",
              "hash": "B2FiWHWiKXq3wFeyrz3heGnk6paG37zc4eHymCzHVv0=",
              "lt": "23434414000001",
              "now": 1720454314,
              "orig_status": "active",
              "end_status": "active",
              "total_fees": "5553039",
              "prev_trans_hash": "0YwyJ6rnmD6GSHjCwbSqYRRRZR4Je3ajRSVOmQKTBDM=",
              "prev_trans_lt": "22972195000001",
              "description": {
                "type": "ord",
                "action": {
                  "valid": true,
                  "success": true,
                  "no_funds": false,
                  "result_code": 0,
                  "tot_actions": 1,
                  "msgs_created": 1,
                  "spec_actions": 0,
                  "tot_msg_size": {
                    "bits": "705",
                    "cells": "1"
                  },
                  "status_change": "unchanged",
                  "total_fwd_fees": "10000000",
                  "skipped_actions": 0,
                  "action_list_hash": "+TCFxMn1MktBa4iGZ8y01pEMygRnmYGEMofeFHiIuxY=",
                  "total_action_fees": "3333282"
                },
                "aborted": false,
                "credit_ph": {
                  "credit": "140268068471039"
                },
                "destroyed": false,
                "compute_ph": {
                  "mode": 0,
                  "type": "vm",
                  "success": true,
                  "gas_fees": "1323200",
                  "gas_used": "3308",
                  "vm_steps": 68,
                  "exit_code": 0,
                  "gas_limit": "0",
                  "gas_credit": "10000",
                  "msg_state_used": false,
                  "account_activated": false,
                  "vm_init_state_hash": "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=",
                  "vm_final_state_hash": "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
                },
                "storage_ph": {
                  "status_change": "unchanged",
                  "storage_fees_collected": "290157"
                },
                "credit_first": true
              },
              "block_ref": {
                "workchain": 0,
                "shard": "6000000000000000",
                "seqno": 22378256
              },
              "in_msg": {
                "hash": "kndVN02mdubtxmhkkjz60OwyD6g0aUwThWSjqeqxC3Y=",
                "source": null,
                "destination": "0:50251F4800B322F242D628AA28DB4035FA2F6D2C1D45D994C8232A691C63C561",
                "value": null,
                "fwd_fee": null,
                "ihr_fee": null,
                "created_lt": null,
                "created_at": null,
                "opcode": "0x4b958d56",
                "ihr_disabled": null,
                "bounce": null,
                "bounced": null,
                "import_fee": "0",
                "message_content": {
                  "hash": "xvKE5GreYe2GUpcVdyGql8Zl04TGBSH1v5CmSJXneI4=",
                  "body": "te6cckEBAgEAhwABnEuVjVbI54rXHHGaszAM0rq344hhUNJLET1sYmiqiKqFtDbL1WzGLMTzRRha4nVO5alpP1cX3E5P4Dls3fIO8gMpqaMXZowasQAAAD0AAwEAaGJ/7ZxUT/rCJRAyaLOH/TKbNhzal0HBO4jPXgKHdvYneYAh3NZQAAAAAAAAAAAAAAAAAADeRiM9",
                  "decoded": null
                },
                "init_state": null
              },
              "out_msgs": [
                {
                  "hash": "1U8v7l9QJDW/CMNa05LL6UzdBrSBRNLm7LmkvRnTyzQ=",
                  "source": "0:50251F4800B322F242D628AA28DB4035FA2F6D2C1D45D994C8232A691C63C561",
                  "destination": "-1:DB38A89FF5844A2064D1670FFA65366C39B52E838277119EBC050EEDEC4EF300",
                  "value": "1000000000",
                  "fwd_fee": "6666718",
                  "ihr_fee": "0",
                  "created_lt": "23434414000002",
                  "created_at": "1720454314",
                  "opcode": null,
                  "ihr_disabled": true,
                  "bounce": true,
                  "bounced": false,
                  "import_fee": null,
                  "message_content": {
                    "hash": "lqKW0iTyhcZ77pPDD4owkVfw2qNdxbh+QQt4YwoJz8c=",
                    "body": "te6cckEBAQEAAgAAAEysuc0=",
                    "decoded": null
                  },
                  "init_state": null
                }
              ],
              "account_state_before": {
                "hash": "Kcz+vnm2nmbO4pb0wSyo264F8/3WnFdVYaWNhNR5Cus=",
                "balance": "164023287343",
                "account_status": "active",
                "frozen_hash": null,
                "code_hash": "/rX/aCDi/w2Ug+fg1iyBfYRniftK5YDIeIZtlZ2r1cA=",
                "data_hash": "9R2bD8OcpgFI8z7PHJaN5vXUJr7HQ06nKX3pTN9Bg6o="
              },
              "account_state_after": {
                "hash": "IsFANgt7iHcwOtk3TPC67SOV+MNCq0w4f6oLpuk9Im8=",
                "balance": "163011067586",
                "account_status": "active",
                "frozen_hash": null,
                "code_hash": "/rX/aCDi/w2Ug+fg1iyBfYRniftK5YDIeIZtlZ2r1cA=",
                "data_hash": "LL9jzy6YehhW15AcV9JHjL4+VE0pnr/eN+WSqjoF4dA="
              },
              "mc_block_seqno": 20853046
            }
          ],
          "address_book": {
            "0:50251F4800B322F242D628AA28DB4035FA2F6D2C1D45D994C8232A691C63C561": {
              "user_friendly": "0QBQJR9IALMi8kLWKKoo20A1-i9tLB1F2ZTIIyppHGPFYe8e"
            },
            "-1:DB38A89FF5844A2064D1670FFA65366C39B52E838277119EBC050EEDEC4EF300": {
              "user_friendly": "kf_bOKif9YRKIGTRZw_6ZTZsObUug4J3EZ68BQ7t7E7zAORr"
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ]
}
```